var app = angular.module('myApp');
app.controller('showProject', showProject);
app.controller('insertProject', insertProject);
app.controller('deleteProject', deleteProject);

//	controlers tạo Get API
function showProject($scope, $http) {
    $http.get("http://localhost:8081/quan-tri/danh-sach-du-an").then(successCallback, errorCallback);

    function successCallback(response) {
        console.log(response.data);
        {
            $scope.listProject = response.data
        }
    }

    function errorCallback(error) {
        //error code
        console.log("can't get data!!");
    }
};
// tạo controllers insert API
function insertProject($scope, $http) {
    $scope.insert_project = function () {
        $http({
            //khai báo type
            method: 'POST',
            //đường dẫn API
            url: 'http://localhost:8081/quan-tri/them-du-an',
            //truyền dữ liệu nhập trên cline vào data

            data: angular.toJson($scope.project),
            //kiểu dữ liệu API
            headers: {
                'Content-Type': 'application/json'
            }
            //    kết quả trả về (THEN)
        }).then(successCallback, errorCallback);

        //tạo funtion nếu thành công!
        function successCallback(response) {
            $window.location.href = 'http://localhost:8081/#!/';
        }

        //tạo funtion kiểm tra nếu thất bại
        function errorCallback(error) {
            //error code
            console.log("can't insert data!!");
        }
    }
};

//delete project theo id
function deleteProject($scope, $window, $http) {
    $scope.deleteProject = function (project) {
        if (confirm("Bạn có chắc chắn muốn xóa ?")) {
            $http({
                method: 'DELETE',
                url: 'http://localhost:8081/quan-tri/xoa-du-an',
                data: $scope.project,
                headers: {
                    'Content-Type': 'application/json'
                }
            }).then(successCallback, errorCallback);

            //tạo funtion nếu thành công!
            function successCallback(response) {
                $window.location.href = 'http://localhost:8081/#!/';
            }

            //tạo funtion kiểm tra nếu thất bại
            function errorCallback(error) {
                //error code
                console.log("can't insert data!!");
            }
        }
    };
};

//tạo controller sửa theo id
function updateProject($scope, $window, $http) {
    $scope.updateProject = function (project) {
        if (confirm("Bạn có muốn sửa không ?")) {
            $http({
                method: 'PUT',
                url: 'http://localhost:8081/quan-tri/xoa-du-an',
                data: $scope.project,
                headers: {
                    'Content-Type': 'application/json'
                }
            }).then(successCallback, errorCallback);

            //tạo funtion nếu thành công!
            function successCallback(response) {
                $window.location.href = 'http://localhost:8081/#!/';
            }

            //tạo funtion kiểm tra nếu thất bại
            function errorCallback(error) {
                //error code
                console.log("can't insert data!!");
            }
        }
    };
};

function editProject($scope){

}